# How to use Paddle VM
To use the same local web server as the Paddle maintainers use, follow these
 steps:

1. `git clone git@github.com:Kanooh/drupal-vm.git`
2. `cd drupal-vm`
3. `git checkout paddle-master`
4. `cp example.local.config.yml local.config.yml`
5. Ensure the local_path in local.config.yml file points to the path where the 
Paddle Drupal files are on your local machine. Adjust if needed.
6. `vagrant up`

It can easily take 30 minutes - depending on the speed of your laptop and 
internet connection - to download and set up a virtual machine and install the 
Paddle distribution.

You can now surf to your local Paddle website at 
[http://drupalvm.dev](http://drupalvm.dev).

## Background information
Paddle VM is built on the strong foundation of 
[Drupal VM](https://www.drupalvm.com/). Which is built with 
[Vagrant](https://www.vagrantup.com/) and [Ansible](https://www.ansible.com/). 
Read more about the prerequisites at the 
[Drupal VM documentation](http://docs.drupalvm.com/)

It has been tested with [VirtualBox](https://www.virtualbox.org/) but should 
work with other virtualization software as well.

## Difference compared to Drupal VM
Drupal VM does not include config.yml but Paddle VM does. That way Paddle 
developers can share configuration while leaving the upstram Drupal VM 
default.config.yml untouched.

To override settings from Drupal VM's default.config.yml and/or Paddle VM's 
config.yml, you can use local.config.yml.

## Memcache (optional)
Improve performance by enabling Memcache support. Add these lines to your 
settings.php file:
```
$conf['cache_backends'][] = 'sites/all/modules/paddle/memcache/memcache.inc';
$conf['cache_default_class'] = 'MemCacheDrupal';
$conf['memcache_servers'] = array("localhost:11211" => "default");
// The 'cache_form' bin must be assigned to non-volatile storage.
$conf['cache_class_cache_form'] = 'DrupalDatabaseCache';
```
