/**
 *  @file
 *  Moves the fake "Cancel" and "Submit" buttons in the wrapper which should hold them.
 */

(function ($) {

  namespace('Drupal.media.browser');

  Drupal.behaviors.paddleCKEditorProfilesMediaFakeButtons = {
    attach: function (context, settings) {
      // Move the fake Cancel on Media Add Form.
      var fake_cancel = $('#media-tab-upload a.button.button-no.fake-cancel');
      fake_cancel.once('paddleCKEditorProfilesMediaFakeCancel', function(){
        $('#media-tab-upload a.button.button-no.fake-cancel').remove();
        $(this).appendTo($('#media-add-dialog-footer-wrapper')).bind('click', Drupal.media.browser.submit);
      });

      // Move the fake OK on Media Library Form.
      var fake_ok = $('#media-tab-library a.button.button-yes.fake-ok');
      fake_ok.once('paddleCKEditorProfilesMediaLibraryFakeOK', function(){
        $('#media-tab-library a.button.button-yes.fake-ok').remove();
        $('#media-tab-library').append('<div id="media-library-dialog-footer-wrapper" class="form-wrapper media-dialog-footer-wrapper"></div>');
        fake_ok.appendTo($('#media-library-dialog-footer-wrapper')).bind('click', Drupal.media.browser.submit);
      });

      // Move the fake Cancel on Media Library Form.
      var fake_cancel = $('#media-tab-library a.button.button-no.fake-cancel');
      fake_cancel.once('paddleCKEditorProfilesMediaLibraryFakeCancel', function(){
        $('#media-tab-library a.button.button-no.fake-cancel').remove();
        fake_cancel.appendTo($('#media-library-dialog-footer-wrapper')).bind('click', Drupal.media.browser.submit);
      });
    }
  };

Drupal.behaviors.paddleCKEditorProfilesMediaSetContentHeight = {
    attach: function (context, settings) {
     $('#media-tab-upload').css('minHeight',495);
   }
  };
})(jQuery);
