/**
 *  @file
 *  Attach behaviors to formatter radio select when selecting a media's display
 *  formatter.
 */

(function ($) {
namespace('Drupal.media.formatForm');

Drupal.media.mediaFormatSelected = {};

Drupal.behaviors.mediaFormatForm = {
  attach: function (context, settings) {
    // Add "Submit" and "Cancel" buttons inside the IFRAME that trigger the
    // behavior of the hidden "OK" and "Cancel" buttons that are outside the
    // IFRAME. See Drupal.media.browser.validateButtons() for more details.
    window.alert = function() {};
    $('#edit-submit').bind('mousedown', Drupal.media.formatForm.submit);
    $('<a class="button fake-cancel">' + Drupal.t('Cancel') + '</a>', context).once('mediaFormatForm', function () {
        $(this).appendTo($('#media-format-form')).bind('click', Drupal.media.formatForm.submit);
    });
  }
};

Drupal.behaviors.paddleCKEditorProfilesMediaFakeMetadataButtons = {
  attach: function (context, settings) {
    // Move the fake Cancel on Metadata Media Form.
    var fake_cancel = $('#media-format-form a.button.fake-cancel');
    var fake_ok = $('#media-format-form #edit-submit');
fake_cancel.once('paddleCKEditorProfilesMediaMetadataFakeCancel', function(){
      // Now move the wrapper one level up.
      var buttons_wrapper = $('#media-metadata-dialog-footer-wrapper');
      $('#media-metadata-dialog-footer-wrapper').remove();
      buttons_wrapper.appendTo($('#media-format-form'));
      $('#media-format-form a.button.fake-cancel').remove();
fake_cancel.appendTo($('#media-metadata-dialog-footer-wrapper')).bind('click', Drupal.media.formatForm.submit);
      fake_ok.bind('click', Drupal.media.formatForm.submit);
    });
  }
};

Drupal.media.formatForm.getOptions = function () {
  // Get all the values.
  var ret = {}; $.each($('#media-format-form fieldset#edit-options *').serializeArray(), function (i, field) { ret[field.name] = field.value; });
  return ret;
};

Drupal.media.formatForm.getFormattedMedia = function () {
  var formatType = $("select#edit-format option:selected").val();
  return { type: formatType, options: Drupal.media.formatForm.getOptions(), html: Drupal.settings.media.formatFormFormats[formatType] };
};

Drupal.media.formatForm.submit = function () {
  // @see Drupal.behaviors.mediaFormatForm.attach().
  var buttons = $(parent.window.document.body).find('#mediaStyleSelector').parent('.ui-dialog').find('.ui-dialog-buttonpane button');
  if ($(this).hasClass('fake-cancel')) {
    buttons[1].click();
  } else {
    buttons[0].click();
  }
}

Drupal.behaviors.paddleCKEditorProfilesMediaSetContentHeightFormatForm = {
  attach: function (context, settings) {
    $('#media-format-form > div:first-child').css('height', 438);
    $('#media-format-form > div:first-child').css('overflow', 'auto');
    $('.page-media').parent().parent().css('overflow', 'hidden');
  }
};

})(jQuery);
