<?php
/**
 * @file
 * paddle_search.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function paddle_search_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "facetapi" && $api == "facetapi_defaults") {
    return array("version" => "1");
  }
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => "1");
  }
  if ($module == "pm_existing_pages" && $api == "pm_existing_pages") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_image_default_styles().
 */
function paddle_search_image_default_styles() {
  $styles = array();

  // Exported image style: paddle_search_featured_image.
  $styles['paddle_search_featured_image'] = array(
    'label' => 'Paddle Search Featured Image',
    'effects' => array(
      1 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 120,
          'height' => 100,
        ),
        'weight' => 1,
      ),
    ),
  );

  return $styles;
}

/**
 * Implements hook_default_search_api_autocomplete_search().
 */
function paddle_search_default_search_api_autocomplete_search() {
  $items = array();
  $items['search_api_page_search'] = entity_import('search_api_autocomplete_search', '{
    "machine_name" : "search_api_page_search",
    "name" : "Search",
    "index_id" : "node_index",
    "type" : "search_api_page",
    "enabled" : "1",
    "options" : {
      "custom" : { "page_id" : "search" },
      "result count" : true,
      "fields" : [ "search_api_aggregation_2" ],
      "results" : 0,
      "min_length" : "3",
      "submit_button_selector" : ":submit"
    }
  }');
  return $items;
}

/**
 * Implements hook_default_search_api_index().
 */
function paddle_search_default_search_api_index() {
  $items = array();
  $items['node_index'] = entity_import('search_api_index', '{
    "name" : "Node index",
    "machine_name" : "node_index",
    "description" : null,
    "server" : "solr_server",
    "item_type" : "node",
    "options" : {
      "index_directly" : 0,
      "cron_limit" : 50,
      "data_alter_callbacks" : {
        "search_api_alter_bundle_filter" : {
          "status" : 0,
          "weight" : "-50",
          "settings" : { "default" : "1", "bundles" : [] }
        },
        "search_api_alter_language_control" : {
          "status" : 0,
          "weight" : "-49",
          "settings" : { "lang_field" : "", "languages" : [] }
        },
        "search_api_alter_node_access" : { "status" : 0, "weight" : "-48", "settings" : [] },
        "search_api_alter_node_status" : { "status" : 1, "weight" : "-47", "settings" : [] },
        "search_api_alter_add_hierarchy" : {
          "status" : 1,
          "weight" : "-46",
          "settings" : { "fields" : { "field_paddle_general_tags:parent" : "field_paddle_general_tags:parent" } }
        },
        "panelizer" : { "status" : 1, "weight" : "-45", "settings" : [] },
        "search_api_alter_add_url" : { "status" : 0, "weight" : "-43", "settings" : [] },
        "search_api_alter_add_aggregation" : {
          "status" : 1,
          "weight" : "-42",
          "settings" : { "fields" : {
              "search_api_aggregation_1" : {
                "name" : "tags",
                "type" : "fulltext",
                "fields" : [ "field_paddle_general_tags:name", "field_paddle_tags:name" ],
                "description" : "A Fulltext aggregation of the following fields: General tags \\u00bb Name, Tags \\u00bb Name."
              },
              "search_api_aggregation_2" : {
                "name" : "Autocomplete",
                "type" : "fulltext",
                "fields" : [
                  "title",
                  "search_api_aggregation_1",
                  "search_api_panelizer_content",
                  "body:summary"
                ],
                "description" : "A Fulltext aggregation of the following fields: Title, tags, Panelizer \\u0026quot;Full page override\\u0026quot; HTML output, The main body text \\u00bb Summary."
              },
              "search_api_aggregation_3" : {
                "name" : "NGram",
                "type" : "fulltext",
                "fields" : [
                  "title",
                  "search_api_aggregation_1",
                  "search_api_panelizer_content",
                  "body:summary"
                ],
                "description" : "A Fulltext aggregation of the following fields: Title, tags, Panelizer \\u0026quot;Full page override\\u0026quot; HTML output, The main body text \\u00bb Summary."
              },
              "search_api_aggregation_4" : {
                "name" : "Title as searchable Fulltext",
                "type" : "fulltext",
                "fields" : [ "title" ],
                "description" : "A Fulltext aggregation of the following fields: Title."
              }
            }
          }
        },
        "search_api_alter_add_viewed_entity" : { "status" : 0, "weight" : "-41", "settings" : { "mode" : "full" } }
      },
      "processors" : {
        "search_api_case_ignore" : {
          "status" : 1,
          "weight" : "0",
          "settings" : { "fields" : {
              "title" : true,
              "search_api_aggregation_2" : true,
              "search_api_aggregation_3" : true,
              "search_api_aggregation_4" : true,
              "search_api_panelizer_content" : true,
              "body:value" : true,
              "body:summary" : true,
              "field_paddle_general_tags:name" : true,
              "field_paddle_tags:name" : true
            }
          }
        },
        "search_api_html_filter" : {
          "status" : 1,
          "weight" : "10",
          "settings" : {
            "fields" : {
              "title" : true,
              "search_api_aggregation_2" : true,
              "search_api_aggregation_3" : true,
              "search_api_aggregation_4" : true,
              "search_api_panelizer_content" : true,
              "body:value" : true,
              "body:summary" : true
            },
            "title" : 1,
            "alt" : 1,
            "tags" : "h1 = 5\\r\\nh2 = 3\\r\\nh3 = 2\\r\\nstrong = 2\\r\\nb = 2\\r\\nem = 1.5\\r\\nu = 1.5"
          }
        },
        "search_api_tokenizer" : {
          "status" : 1,
          "weight" : "20",
          "settings" : {
            "fields" : {
              "search_api_aggregation_2" : true,
              "search_api_aggregation_3" : true,
              "search_api_aggregation_4" : true,
              "search_api_panelizer_content" : true,
              "body:value" : true,
              "body:summary" : true
            },
            "spaces" : "[^\\\\p{L}\\\\p{N}]",
            "ignorable" : "[-]"
          }
        },
        "search_api_stopwords" : {
          "status" : 0,
          "weight" : "30",
          "settings" : { "fields" : { "title" : true }, "file" : "", "stopwords" : "1" }
        },
        "search_api_highlighting" : {
          "status" : 1,
          "weight" : "35",
          "settings" : {
            "prefix" : "\\u003Cstrong\\u003E",
            "suffix" : "\\u003C\\/strong\\u003E",
            "excerpt" : 1,
            "excerpt_length" : "500",
            "exclude_fields" : {
              "search_api_access_node" : "search_api_access_node",
              "search_api_aggregation_1" : "search_api_aggregation_1",
              "search_api_aggregation_2" : "search_api_aggregation_2",
              "search_api_aggregation_3" : "search_api_aggregation_3",
              "search_api_aggregation_4" : "search_api_aggregation_4",
              "search_api_panelizer_content" : "search_api_panelizer_content"
            },
            "highlight" : "always"
          }
        }
      },
      "fields" : {
        "body:summary" : { "type" : "text", "boost" : "2.0" },
        "body:value" : { "type" : "text" },
        "changed" : { "type" : "date" },
        "created" : { "type" : "date" },
        "field_paddle_general_tags" : { "type" : "list\\u003Cinteger\\u003E", "entity_type" : "taxonomy_term" },
        "field_paddle_general_tags:name" : { "type" : "list\\u003Cstring\\u003E" },
        "field_paddle_tags:name" : { "type" : "list\\u003Cstring\\u003E" },
        "language" : { "type" : "string" },
        "publication_date" : { "type" : "string" },
        "search_api_aggregation_1" : { "type" : "text" },
        "search_api_aggregation_2" : { "type" : "text" },
        "search_api_aggregation_3" : { "type" : "text", "boost" : "0.8" },
        "search_api_aggregation_4" : { "type" : "text", "boost" : "5.0" },
        "search_api_language" : { "type" : "string" },
        "search_api_panelizer_content" : { "type" : "text" },
        "status" : { "type" : "integer" },
        "title" : { "type" : "string", "boost" : "5.0" },
        "type" : { "type" : "string" }
      }
    },
    "enabled" : "1",
    "read_only" : "0"
  }');
  return $items;
}

/**
 * Implements hook_default_search_api_page().
 */
function paddle_search_default_search_api_page() {
  $items = array();
  $items['search'] = entity_import('search_api_page', '{
    "index_id" : "node_index",
    "path" : "search",
    "name" : "Search",
    "machine_name" : "search",
    "description" : "",
    "options" : {
      "mode" : "terms",
      "fields" : {
        "body:summary" : "body:summary",
        "search_api_aggregation_1" : "search_api_aggregation_1",
        "search_api_aggregation_3" : "search_api_aggregation_3",
        "search_api_aggregation_4" : "search_api_aggregation_4",
        "search_api_panelizer_content" : "search_api_panelizer_content"
      },
      "per_page" : "20",
      "result_page_search_form" : 1,
      "get_per_page" : 0,
      "view_mode" : "search_api_page_result",
      "language_filter" : { "current" : "current" }
    },
    "enabled" : "1"
  }');
  return $items;
}

/**
 * Implements hook_default_search_api_server().
 */
function paddle_search_default_search_api_server() {
  $items = array();

  $solr_location = variable_get('paddle_search_solr_url');

  $solr_location_parts = $solr_location ? parse_url($solr_location) : array();

  $enabled = $solr_location ? '1' : '0';

  $location_parts_defaults = array(
    'scheme' => 'http',
    'host' => '',
    'user' => '',
    'pass' => '',
    'path' => '/',
    'port' => '80',
  );

  $solr_location_parts += $location_parts_defaults;

  $solr_server = new stdClass();
  $solr_server->name = "Solr server";
  $solr_server->machine_name = 'solr_server';
  $solr_server->description = '';
  $solr_server->class = 'search_api_solr_service';
  $solr_server->options = array(
    "clean_ids" => 1,
    "scheme" => $solr_location_parts['scheme'],
    "host" => $solr_location_parts['host'],
    "port" => $solr_location_parts['port'],
    "path" => $solr_location_parts['path'],
    "http_user" => $solr_location_parts['user'],
    "http_pass" => $solr_location_parts['pass'],
    "excerpt" => 0,
    "retrieve_data" => 0,
    "highlight_data" => 0,
    "http_method" => "POST",
    "autocorrect_spell" => 1,
    "autocorrect_suggest_words" => 1,
  );
  $solr_server->enabled = $enabled;

  $items['solr_server'] = entity_import('search_api_server', json_encode($solr_server));

  return $items;
}

/**
 * Implements hook_default_search_api_sort().
 */
function paddle_search_default_search_api_sort() {
  $items = array();
  $items['node_index__publication_date'] = entity_import('search_api_sort', '{
    "index_id" : "node_index",
    "field" : "publication_date",
    "name" : "Publication date",
    "enabled" : "1",
    "weight" : "10",
    "identifier" : "node_index__publication_date",
    "default_sort" : "0",
    "default_sort_no_terms" : "0",
    "default_order" : "desc",
    "options" : { "field_name" : "Publication date" }
  }');
  $items['node_index__search_api_relevance'] = entity_import('search_api_sort', '{
    "index_id" : "node_index",
    "field" : "search_api_relevance",
    "name" : "Relevance",
    "enabled" : "1",
    "weight" : "0",
    "identifier" : "node_index__search_api_relevance",
    "default_sort" : "1",
    "default_sort_no_terms" : "1",
    "default_order" : "desc",
    "options" : { "field_name" : "search_api_relevance" }
  }');
  $items['node_index__title'] = entity_import('search_api_sort', '{
    "index_id" : "node_index",
    "field" : "title",
    "name" : "Title",
    "enabled" : "1",
    "weight" : "5",
    "identifier" : "node_index__title",
    "default_sort" : "0",
    "default_sort_no_terms" : "0",
    "default_order" : "asc",
    "options" : { "field_name" : "Title" }
  }');
  return $items;
}
