(function ($) {
  "use strict";
  $.fn.paddleThemeMenuSlider = function () {
    var that = this;
    if (this.length === 0) {
      return this;
    }
      // Allows to have multiple instances of the same jquery plugin on the same
      // page.
    var classListener = this.selector;
    var innerContent = classListener + " > ul.menu";

    // reset vars
    var standardWidth = 0;
    var itemWidth = 0;
    var totalWidth = 0;
    var counter = 0;
    var visibilityCounter = 0;
    var visibilityGroup = 0;
    var noConflictCounter = 0;
    var innerWidth = $(classListener).width();

    function setControls(upperThis, noConflictCounter) {
      $(upperThis).after('<div class="menuslider-controls clearfix"><button class="menuslider-button" id="menuslider-prev" rel="[1,' + noConflictCounter + ']"><i class="fa fa-angle-left"></i><span class="element-invisible">' + Drupal.t("Scroll left") + '</span></button><button class="menuslider-button" id="menuslider-next" rel="[2,' + noConflictCounter + ']"><i class="fa fa-angle-right"><span class="element-invisible">' + Drupal.t("Scroll right") + '</span></i></button></div>');
      // calculate automatically the height of the control buttons
      // TODO a CSS solution would also be possible
      // add a gradient background on the main navigation
      // this should be generated by Paddle Themer
      var mainNavColor = $("#main-nav").css("background-color");
      $("#block-paddle-menu-display-first-level .menuslider-controls").css("background", "linear-gradient(to right, rgba(0,0,0,0) 0%," + mainNavColor + " 30%)");
    }

    function checkVisibility(upperThis) {
      var $upperThis = $(upperThis),
          // Dinamically calculate the space occupied by the menuslider controls.
          // Fallback to 130 as "safe" width.
          extraSpace = $upperThis.find('.menuslider-controls').outerWidth(true) || '130';

      // @todo why this is set like this?
      visibilityCounter = 0;
      visibilityGroup = 0;

      $upperThis.find('> li').each(function () {
        itemWidth = $(this).attr('dynamicwidth');
        visibilityCounter = visibilityCounter + parseInt(itemWidth);
        if (parseInt(itemWidth) > (innerWidth - extraSpace)) {
          // If the width of the menu item is longer than the available space,
          // the calculations will be wrong and the menu item should be in the
          // next group.
          visibilityGroup++;
        } else {
          visibilityGroup = (visibilityCounter / (innerWidth - extraSpace));
        }
        $(this).attr("visibility", Math.ceil(visibilityGroup));
      });
    }

    function initiate() {

      $(innerContent).each(function () {
        var totalWidth = 0;
        var $upperThis = $(this);

        $upperThis.attr('fladers-nav-id', noConflictCounter).parent().attr('counter', 1);

        $upperThis.find('> li').each(function () {
          var $this = $(this);
          var itemWidth = $this.outerWidth();
          var testw = $this.width();

          $this.attr('dynamicWidth', itemWidth);
          totalWidth += itemWidth;
        });

        checkVisibility($upperThis, noConflictCounter);

        $upperThis.width((totalWidth+4));
        if ((totalWidth > $upperThis.parent().width())) {
          setControls($upperThis, noConflictCounter);
        }

        noConflictCounter++;
        $upperThis.attr('totalWidth', totalWidth);
      });
    }

    function resizeContainer() {
      $(innerContent).each(function () {

        $(this).css('left', '0').parent().attr('counter', 1);
        innerWidth = $(this).parent().width();
        checkVisibility(this);

        if (($(this).attr("totalWidth") > innerWidth) && ($(this).parent().find('.menuslider-controls').length === 0)) {
          setControls($(this), $(this).attr('fladers-nav-id'));
        }
      });
    }

    function slideEvent(slideDirection, classListener) {

      var tmpCounter = parseInt(classListener.attr("counter"));
      var totalWidth = parseInt(classListener.find("> ul").attr("totalWidth"));
      var maxVisibility = classListener.find('> ul > li.last').attr('visibility');
      function getWidth(visibilityNumber) {
        var visibilityWidth = 0;
        var itemWidth = 0;
        $(classListener).find('ul.menu > li[visibility="' + visibilityNumber + '"]').each(function (index) {
          itemWidth = $(this).attr('dynamicwidth');
          visibilityWidth = visibilityWidth + parseInt(itemWidth);
        });
        return visibilityWidth;
      }

      if (slideDirection[1] == 2) {
        if (!(tmpCounter >= maxVisibility)) {
          var visibilityWidth = getWidth(tmpCounter);
          $(classListener).find('ul').first().animate({left: "-=" + visibilityWidth}, 500);
          tmpCounter++;
          classListener.attr("counter",tmpCounter);
        } else {
          // Add a class to indicate that the menu sliding has reached it's
          // right end.
          $('.menuslider-controls').addClass('slider-right-end');
        }

      } else {
        if (!(tmpCounter == 1)) {
          tmpCounter--;
          var visibilityWidth = getWidth(tmpCounter);
          $(classListener).find('ul').first().animate({left: "+=" + visibilityWidth}, 500);
          classListener.attr("counter", tmpCounter);
        }
        if ($('.menuslider-controls').hasClass('slider-right-end')) {
          // Remove the class that indicates that the menu sliding has reached
          // it's right end.
          $('.menuslider-controls').removeClass('slider-right-end');
        }
      }

    }
    $(window).smartresize(resizeContainer);
    $(window).on("load", function () {initiate();});
    $(window).off("click", ".menuslider-button").on("click", ".menuslider-button", function () {
      slideEvent($(this).attr('rel'), $(this).parent().parent());
    });

  };

})(jQuery);

(function($,sr){

  var debounce = function (func, threshold, execAsap) {
      var timeout;

      return function debounced () {
          var obj = this, args = arguments;
          function delayed () {
              if (!execAsap)
                  func.apply(obj, args);
              timeout = null;
          }

          if (timeout)
              clearTimeout(timeout);
          else if (execAsap)
              func.apply(obj, args);

          timeout = setTimeout(delayed, threshold || 100);
      };
  };
  // smartresize
  jQuery.fn[sr] = function(fn){  return fn ? this.bind('resize', debounce(fn)) : this.trigger(sr); };

})(jQuery,'smartresize');
